/*
 * $Header: /tmp_mnt/home/src/rand/etc/kboot/RCS/appletalk.h,v 1.1 91/01/29 17:37:31 root Exp $
 *
 * $Log:	appletalk.h,v $
 * Revision 1.1  91/01/29  17:37:31  root
 * Initial revision
 * 
 */

/*
 * appletalk.h - Definitions for Appletalk protocols.
 */
#define AT_Broadcast	0xFF		/* Broadcast appletalk address	*/
#define AARP		0x80F3		/* AARP protocol type		*/
#define H_Ethernet	1		/* Hardware type for ethernet	*/
#define HL_Ethernet	6		/* Ethernet address length	*/
#define P_AppleTalk	0x809B		/* Protocol type for appletalk	*/
#define PL_AppleTalk	4		/* Appletalk address length	*/
#define AReqTicks	2		/* # of ticks between requests	*/
#define AReqTries	6		/* # of tries on requests	*/
/*
 * Inside Appletalk suggests APrbTicks should be 2 and APrbTries 20.
 * Our hosts don't always respond that fast, and that seems like way
 * too many retries, so we'll slow down the timeout and decrease the
 * retries.
 */
#define APrbTicks	20		/* # of ticks between probes	*/
#define APrbTries	5		/* # of tries on probes		*/

/*
 * Appletalk ARP header.
 */
struct ether_aarp {
  u_short		aarp_hrd;	/* Hardware type		*/
  u_short		aarp_pro;	/* Protocol type		*/
  u_char		aarp_hln;	/* Hardware address length	*/
  u_char 		aarp_pln;	/* Protocol address length	*/
  u_short		aarp_op;	/* Command			*/
#define AARPReq		1
#define AARPResp	2
#define AARPProbe	3
  struct ether_addr	aarp_sha;	/* Sender hardware address	*/
  u_char		aarp_spa[4];	/* Sender protocol address	*/
  struct ether_addr	aarp_tha;	/* Target hardware address	*/
  u_char		aarp_tpa[4];	/* Target protocol address	*/
};

struct aarp_packet {
  struct ether_header	ap_ehdr;
  struct ether_aarp	ap_ahdr;
};
#define ap_dhost	ap_ehdr.ether_dhost
#define ap_shost	ap_ehdr.ether_shost
#define ap_type		ap_ehdr.ether_type
#define ap_hrd		ap_ahdr.aarp_hrd
#define ap_pro		ap_ahdr.aarp_pro
#define ap_hln		ap_ahdr.aarp_hln
#define ap_pln		ap_ahdr.aarp_pln
#define ap_op		ap_ahdr.aarp_op
#define ap_sha		ap_ahdr.aarp_sha
#define ap_spa		ap_ahdr.aarp_spa
#define ap_tha		ap_ahdr.aarp_tha
#define ap_tpa		ap_ahdr.aarp_tpa
